﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable MyDataSource = populateDataTable();
        WebDataGrid1.DataSource = MyDataSource;
        WebDataGrid1.DataBind();
    }

    protected DataTable populateDataTable()
    {
        DataTable dt = new DataTable();
        // setting the required DataType format here (Ensure that the DataSource DataType is correct)
        DataColumn columnInt = new DataColumn();
        columnInt.DataType = System.Type.GetType("System.Int32");
        columnInt.ColumnName = "Number";

        DataColumn columnDecimal = new DataColumn();
        columnDecimal.DataType = System.Type.GetType("System.Decimal");
        columnDecimal.ColumnName = "DecimalNumber";

        dt.Columns.Add("Name");
        dt.Columns.Add(columnInt);
        dt.Columns.Add(columnDecimal);

        DataRow row;
        for (int i = 0; i < 100; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            row.SetField<Int32>("Number", 1 + i);
            row.SetField<decimal>("DecimalNumber", i + 0.5M);
            dt.Rows.Add(row);
        }
        return dt;
    }
}